GrailsWrappedRuntimeException (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.web.errors

## [Java] Class GrailsWrappedRuntimeException

- org.grails.web.errors.GrailsWrappedRuntimeException

- Wraps a Grails RuntimeException and attempts to extract more relevent diagnostic messages from the stack trace.

  Authors:
    Graeme Rocher
  Since:
    0.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `URL_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWrappedRuntimeException (javax.servlet.ServletContext servletContext, java.lang.Throwable t)` @param servletContext The ServletContext instance

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getClassName()` @return Returns the className.
    `` | `java.lang.String[]` | `getCodeSnippet()` @return Returns the line.
    `` | `int` | `getLineNumber()` @return Returns the lineNumber.
    `` | `java.lang.String` | `getMessage()`
    `` | `java.lang.String[]` | `getStackTraceLines()` @return Returns the stackTrace lines
    `` | `java.lang.String` | `getStackTraceText()` @return Returns the stackTrace.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String URL_PREFIX

  - ### Constructor Detail

    - #### public GrailsWrappedRuntimeException(javax.servlet.ServletContext servletContext, java.lang.Throwable t)

      Parameters:
        `servletContext` - The ServletContext instance
        `t` - The exception that was thrown

  - ### Method Detail

    - #### public java.lang.String getClassName()

      Returns:
        Returns the className.

    - #### public java.lang.String[] getCodeSnippet()

      Returns:
        Returns the line.

    - #### public int getLineNumber()

      Returns:
        Returns the lineNumber.

    - #### @java.lang.Override public java.lang.String getMessage()

    - #### public java.lang.String[] getStackTraceLines()

      Returns:
        Returns the stackTrace lines

    - #### public java.lang.String getStackTraceText()

      Returns:
        Returns the stackTrace.